Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1285456 - [RFE] Persist column visibility and position in browser's local storage
Summary: [RFE] Persist column visibility and position in browser's local storage
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 2.1.0
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: ovirt-4.2.0
: 4.2.0
Assignee: Alexander Wels
QA Contact: Pavel Novotny
URL:
Whiteboard:
Depends On: 1172390
Blocks: 1514899
TreeView+ depends on / blocked
 
Reported: 2015-11-25 16:01 UTC by Vojtech Szocs
Modified: 2018-05-15 17:38 UTC (History)
15 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
In the current release, the Manager's column widths, visibility, and order are persistent.
Clone Of:
: 1514899 (view as bug list)
Environment:
Last Closed: 2018-05-15 17:36:24 UTC
oVirt Team: UX
Target Upstream Version:
pnovotny: testing_plan_complete+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2018:1488 None None None 2018-05-15 17:38:04 UTC
oVirt gerrit 83877 master MERGED webadmin: Grid column width persistence. 2017-11-10 11:46:05 UTC
oVirt gerrit 84047 master MERGED webadmin: Persist column visibility 2017-11-13 20:58:50 UTC
oVirt gerrit 84122 master MERGED webadmin: Persist column order 2017-11-16 20:12:40 UTC
oVirt gerrit 84204 ovirt-engine-4.1 MERGED webadmin: Grid column width persistence. 2017-11-17 14:33:12 UTC
oVirt gerrit 84207 ovirt-engine-4.1 MERGED webadmin: Persist column visibility 2017-11-17 14:33:17 UTC
oVirt gerrit 84282 ovirt-engine-4.1 MERGED webadmin: Persist column order 2017-11-19 10:24:06 UTC

Description Vojtech Szocs 2015-11-25 16:01:23 UTC
BZ 1172390 introduces table header context menu that allows users to control visibility and position of individual columns for all main & sub tabs.

  https://imgur.com/5dfh8QA

This RFE completes the feature by persisting above mentioned column settings in browser's local storage, similar to persisting other client-side settings.

Implementing this RFE is non-trivial due to interference with existing column width persistence mechanism (which uses column index).

Comment 1 Oved Ourfali 2016-03-03 07:24:31 UTC
Vojtech - how much work is left to complete this?
Will we be able to push that in 4.0?

Comment 2 Vojtech Szocs 2016-03-11 17:45:21 UTC
(In reply to Oved Ourfali from comment #1)
> Vojtech - how much work is left to complete this?

The "column control menu" is already implemented, its code is further improved by patch https://gerrit.ovirt.org/#/c/54186/ which also addresses RFE BZ#1285499 to utilize drag'n'drop behavior.

Given that RFE BZ#1285499 already has a fix, this RFE is the only one to fix in order to consider "column control menu" UI feature as complete.

ETA 3-4 days, just need to ensure that existing "persist column widths" mechanism works well with ability to re-arrange column positions.

> Will we be able to push that in 4.0?

Yes, I believe so.

Comment 14 Pavel Novotny 2017-12-15 17:53:51 UTC
Verified in
ovirt-engine-4.2.0.2-0.1.el7.noarch
ovirt-engine-webadmin-portal-4.2.0.2-0.1.el7.noarch

The visibility, position and width of individual columns are persistent across sessions or page reloads. The settings are stored in browser's local storage.

Comment 17 errata-xmlrpc 2018-05-15 17:36:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:1488


Note You need to log in before you can comment on or make changes to this bug.